add LSDPA plugins SAE version not working

No replies
renster
User offline. Last seen 3 years 5 weeks ago. Offline
Joined: 2009-07-20
Posts:

Hi ,

I am using the SAE version of Ardour2 (Version 2.7.1) on a Macbook Pro (Leopard 10.5.7) having trouble installing the SWH plugins (Version 0.4.15). I tried it also with a "normal" Version of Ardour (full version) and there it seems to be working fine.

Could somebody give me a hint why I cannot see the great swh plugins in my inserts of SAE Ardour?

thx.

René

paul
paul's picture
User offline. Last seen 1 day 18 hours ago. Offline
Joined: 2006-03-16
Posts:

The SAE version is intended to be self-contained, and does not look for LADSPA plugins outside of the application bundle. This was done by SAE's request, so that users would not get confused by or have problems with plugins that were not bundled with Ardour. There are many LADSPA plugins that are problematic, and in particular, on OS X, quite a few plugins, include several from SWH, do not correctly initialize themselves when loaded. SAE wanted to avoid the crashes that this tends to lead to.

On a side note, I hope to re-package the SWH plugins for OS X so that this initialization problem is fixed, hopefully this week sometime.

renster
User offline. Last seen 3 years 5 weeks ago. Offline
Joined: 2009-07-20
Posts:

Hi Paul,

thank you for this really quick response. Is there any possibility to add these plugins after installing SAE ardour version? Or is the only way to get full version of Ardour?

Thanks from Bonn, Germany...

regards,

René